Index: palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 3786)
+++ palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 4017)
@@ -115,15 +115,4 @@
     USE kinds
 
-    CHARACTER(LEN=15) ::  aero_species = 'nacl'                    !< aerosol species
-    CHARACTER(LEN=15) ::  aero_type    = 'maritime'                !< aerosol type
-    CHARACTER(LEN=15) ::  bc_par_lr    = 'cyclic'                  !< left/right boundary condition
-    CHARACTER(LEN=15) ::  bc_par_ns    = 'cyclic'                  !< north/south boundary condition
-    CHARACTER(LEN=15) ::  bc_par_b     = 'reflect'                 !< bottom boundary condition
-    CHARACTER(LEN=15) ::  bc_par_t     = 'absorb'                  !< top boundary condition
-    CHARACTER(LEN=15) ::  collision_kernel   = 'none'              !< collision kernel
-    CHARACTER(LEN=5)  ::  splitting_function = 'gamma'             !< function for calculation critical weighting factor
-    CHARACTER(LEN=5)  ::  splitting_mode     = 'const'             !< splitting mode
-
-    INTEGER(iwp) ::  deleted_particles = 0                        !< number of deleted particles per time step
     INTEGER(iwp) ::  dissipation_classes = 10                     !< namelist parameter (see documentation)
     INTEGER(iwp) ::  ibc_par_b                                    !< particle bottom boundary condition dummy
@@ -131,92 +120,18 @@
     INTEGER(iwp) ::  ibc_par_ns                                   !< particle north/south boundary condition dummy
     INTEGER(iwp) ::  ibc_par_t                                    !< particle top boundary condition dummy
-    INTEGER(iwp) ::  iran_part = -1234567                         !< number for random generator
-    INTEGER(iwp) ::  isf                                          !< dummy for splitting function
-    INTEGER(iwp) ::  i_splitting_mode                             !< dummy for splitting mode
-    INTEGER(iwp) ::  max_number_particles_per_gridbox = 100       !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  merge_drp = 0                                !< number of merged droplets
     INTEGER(iwp) ::  min_nr_particle = 50                         !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  new_particles = 0                            !< number of new particles
-    INTEGER(iwp) ::  n_max = 100                                  !< number of radii bin for splitting functions
     INTEGER(iwp) ::  number_of_particles = 0                      !< number of particles for each grid box (3d array is saved on prt_count)
     INTEGER(iwp) ::  number_of_particle_groups = 1                !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  number_of_sublayers = 20                     !< number of sublayers for particle velocities betwenn surface and first grid level
-    INTEGER(iwp) ::  number_particles_per_gridbox = -1            !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  offset_ocean_nzt = 0                         !< in case of oceans runs, the vertical index calculations need an offset
-    INTEGER(iwp) ::  offset_ocean_nzt_m1 = 0                      !< in case of oceans runs, the vertical index calculations need an offset
-    INTEGER(iwp) ::  particles_per_point = 1                      !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  radius_classes = 20                          !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  sort_count = 0                               !< counter for sorting particles
-    INTEGER(iwp) ::  splitting_factor = 2                         !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  splitting_factor_max = 5                     !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  step_dealloc = 100                           !< namelist parameter (see documentation)
-    INTEGER(iwp) ::  sum_merge_drp = 0                            !< sum of merged super droplets
-    INTEGER(iwp) ::  sum_new_particles = 0                        !< sum of created particles (in splitting algorithm)
-    INTEGER(iwp) ::  total_number_of_particles                    !< total number of particles in the whole model domain
-    INTEGER(iwp) ::  trlp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trlp_count_recv_sum                          !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trrp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trrp_count_recv_sum                          !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trsp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trsp_count_recv_sum                          !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trnp_count_sum                               !< parameter for particle exchange of PEs
-    INTEGER(iwp) ::  trnp_count_recv_sum                          !< parameter for particle exchange of PEs
 
     INTEGER(iwp), PARAMETER ::  max_number_of_particle_groups = 10 !< maximum allowed number of particle groups
 
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  prt_count  !< 3d array of number of particles of every grid box
-
-    LOGICAL ::  curvature_solution_effects = .FALSE.      !< namelist parameter (see documentation)
-    LOGICAL ::  deallocate_memory = .TRUE.                !< namelist parameter (see documentation)
-    LOGICAL ::  hall_kernel = .FALSE.                     !< flag for collision kernel
-    LOGICAL ::  merging = .FALSE.                         !< namelist parameter (see documentation)
+    
     LOGICAL ::  particle_advection = .FALSE.              !< parameter to steer the advection of particles
-    LOGICAL ::  random_start_position = .FALSE.           !< namelist parameter (see documentation)
-    LOGICAL ::  read_particles_from_restartfile = .TRUE.  !< namelist parameter (see documentation)
-    LOGICAL ::  seed_follows_topography = .FALSE.         !< namelist parameter (see documentation)
-    LOGICAL ::  splitting = .FALSE.                       !< namelist parameter (see documentation)
-    LOGICAL ::  use_kernel_tables = .FALSE.               !< parameter, which turns on the use of precalculated collision kernels
-    LOGICAL ::  use_sgs_for_particles = .FALSE.           !< namelist parameter (see documentation)
+    LOGICAL ::  use_sgs_for_particles = .FALSE.           !< namelist parameter (see documentation)    
     LOGICAL ::  wang_kernel = .FALSE.                     !< flag for collision kernel
-    LOGICAL ::  write_particle_statistics = .FALSE.       !< namelist parameter (see documentation)
-
-    LOGICAL, DIMENSION(max_number_of_particle_groups) ::                       &
-                vertical_particle_advection = .TRUE.              !< Switch on/off vertical particle transport
-
-    REAL(wp) ::  aero_weight = 1.0_wp                      !< namelist parameter (see documentation)
+
     REAL(wp) ::  alloc_factor = 20.0_wp                    !< namelist parameter (see documentation)
-    REAL(wp) ::  c_0 = 3.0_wp                              !< parameter for lagrangian timescale
-    REAL(wp) ::  dt_min_part = 0.0002_wp                   !< minimum particle time step when SGS velocities are used (s)
-    REAL(wp) ::  dt_prel = 9999999.9_wp                    !< namelist parameter (see documentation)
-    REAL(wp) ::  dt_write_particle_data = 9999999.9_wp     !< namelist parameter (see documentation)
-    REAL(wp) ::  end_time_prel = 9999999.9_wp              !< namelist parameter (see documentation)
-    REAL(wp) ::  initial_weighting_factor = 1.0_wp         !< namelist parameter (see documentation)
-    REAL(wp) ::  last_particle_release_time = 0.0_wp       !< last time of particle release
-    REAL(wp) ::  log_sigma(3) = 1.0_wp                     !< namelist parameter (see documentation)
-    REAL(wp) ::  na(3) = 0.0_wp                            !< namelist parameter (see documentation)
-    REAL(wp) ::  number_concentration = -1.0_wp            !< namelist parameter (see documentation)
     REAL(wp) ::  particle_advection_start = 0.0_wp         !< namelist parameter (see documentation)
-    REAL(wp) ::  radius_merge = 1.0E-7_wp                  !< namelist parameter (see documentation)
-    REAL(wp) ::  radius_split = 40.0E-6_wp                 !< namelist parameter (see documentation)
-    REAL(wp) ::  rm(3) = 1.0E-6_wp                         !< namelist parameter (see documentation)
-    REAL(wp) ::  sgs_wf_part                               !< parameter for sgs
-    REAL(wp) ::  time_write_particle_data = 0.0_wp         !< write particle data at current time on file
-    REAL(wp) ::  weight_factor_merge = -1.0_wp             !< namelist parameter (see documentation)
-    REAL(wp) ::  weight_factor_split = -1.0_wp             !< namelist parameter (see documentation)
-    REAL(wp) ::  z0_av_global                              !< horizontal mean value of z0
-
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  density_ratio = 9999999.9_wp  !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  pdx = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  pdy = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  pdz = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  psb = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  psl = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  psn = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  psr = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  pss = 9999999.9_wp            !< namelist parameter (see documentation)
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  pst = 9999999.9_wp            !< namelist parameter (see documentation).
-    REAL(wp), DIMENSION(max_number_of_particle_groups) ::  radius = 9999999.9_wp         !< namelist parameter (see documentation)
-
-    REAL(wp), DIMENSION(:), ALLOCATABLE     ::  log_z_z0   !< Precalculate LOG(z/z0)
 
 !
